Skip to main content
PUT
/
ecommerce
/
categories
/
{categoryId}
Update category
curl --request PUT \
  --url https://api.service.getjusto.com/v3/ecommerce/categories/{categoryId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "categoryId": "<string>",
  "importId": "<string>",
  "name": "<string>",
  "index": 123,
  "externalId": "<string>",
  "metadata": {}
}
'
{
  "success": true,
  "data": {
    "categoryId": "<string>",
    "importId": "<string>",
    "name": "<string>",
    "index": 123,
    "externalId": "<string>",
    "metadata": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getjusto.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

categoryId
string
required

ID Justo o ID externo de la categoría.

Body

application/json

Categoría de productos.

categoryId
string

ID Justo de la categoría.

importId
string

ID de importación de la categoría.

name
string

Nombre de la categoría.

index
number

Posición de ordenamiento.

externalId
string

ID externo configurado por la marca.

metadata
object

Metadata del item escrita por API v3.

Response

The OpenAPI spec

success
boolean
Example:

true

data
object

Categoría de productos.